> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tilt.pro/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Dynamic Rules Schema



## OpenAPI

````yaml GET /api/v1/custom/org/{organization_uuid}/dynamic_rules/schema/
openapi: 3.0.3
info:
  title: TILT
  version: 0.0.1
servers: []
security: []
paths:
  /api/v1/custom/org/{organization_uuid}/dynamic_rules/schema/:
    get:
      tags:
        - api
      operationId: api_v1_custom_org_dynamic_rules_schema_retrieve
      parameters:
        - in: path
          name: organization_uuid
          schema:
            type: string
            format: uuid
          required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DynamicRulesSchemaResponse'
          description: ''
      security:
        - jwtAuth: []
        - ProAPIToken: []
components:
  schemas:
    DynamicRulesSchemaResponse:
      type: object
      properties:
        fields:
          type: array
          items:
            $ref: '#/components/schemas/DynamicRuleFieldSchema'
        variables:
          type: array
          items:
            $ref: '#/components/schemas/ExpressionVariableSchema'
        functions:
          type: array
          items:
            $ref: '#/components/schemas/AllowedFunctionSchema'
        operators:
          type: array
          items:
            $ref: '#/components/schemas/OperatorSchema'
        examples:
          type: array
          items:
            type: string
      required:
        - examples
        - fields
        - functions
        - operators
        - variables
    DynamicRuleFieldSchema:
      type: object
      properties:
        field_name:
          type: string
        type:
          $ref: '#/components/schemas/FieldValueTypeEnum'
        category:
          $ref: '#/components/schemas/DynamicRuleFieldSchemaCategoryEnum'
        label:
          type: string
        description:
          type: string
        choices:
          type: array
          items:
            type: string
        constraints:
          $ref: '#/components/schemas/FieldConstraints'
        default_static_value: {}
      required:
        - category
        - description
        - field_name
        - label
        - type
    ExpressionVariableSchema:
      type: object
      properties:
        name:
          type: string
        type:
          $ref: '#/components/schemas/FieldValueTypeEnum'
        category:
          $ref: '#/components/schemas/ExpressionVariableSchemaCategoryEnum'
        description:
          type: string
        operators:
          type: array
          items:
            type: string
        example_values:
          type: array
          items: {}
        unit:
          type: string
          nullable: true
        choices:
          type: array
          items:
            type: string
          nullable: true
        scope:
          type: array
          items:
            type: string
      required:
        - category
        - choices
        - description
        - example_values
        - name
        - operators
        - scope
        - type
        - unit
    AllowedFunctionSchema:
      type: object
      properties:
        name:
          type: string
        description:
          type: string
        example:
          type: string
      required:
        - description
        - example
        - name
    OperatorSchema:
      type: object
      properties:
        symbol:
          type: string
        description:
          type: string
      required:
        - description
        - symbol
    FieldValueTypeEnum:
      enum:
        - boolean
        - decimal
        - integer
        - string
      type: string
      description: |-
        * `boolean` - boolean
        * `decimal` - decimal
        * `integer` - integer
        * `string` - string
    DynamicRuleFieldSchemaCategoryEnum:
      enum:
        - config
        - tax_preferences
      type: string
      description: |-
        * `config` - config
        * `tax_preferences` - tax_preferences
    FieldConstraints:
      type: object
      properties:
        min:
          type: number
          format: double
        max:
          type: number
          format: double
        decimal_places:
          type: integer
    ExpressionVariableSchemaCategoryEnum:
      enum:
        - portfolio
        - account
        - fundamentals
        - enrichment
      type: string
      description: |-
        * `portfolio` - portfolio
        * `account` - account
        * `fundamentals` - fundamentals
        * `enrichment` - enrichment
  securitySchemes:
    jwtAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
    ProAPIToken:
      type: apiKey
      in: header
      name: X-Api-Key

````